From dc182794ecd2201f74cba0cc160bfeb8834dab0b Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 31 2020 01:01:34 +0000
Subject: [PATCH 1897/2232] Handle tool attrs inside the bridge module


---

diff --git a/syntax/attrs.rs b/syntax/attrs.rs
index ccb1c51..87c4508 100644
--- a/syntax/attrs.rs
+++ b/syntax/attrs.rs
@@ -131,6 +131,15 @@ pub(super) fn parse(cx: &mut Errors, attrs: Vec<Attribute>, mut parser: Parser) 
             // https://doc.rust-lang.org/reference/attributes/diagnostics.html
             passthrough_attrs.push(attr);
             continue;
+        } else if attr.path.segments.len() > 1 {
+            let tool = &attr.path.segments.first().unwrap().ident;
+            if tool == "rustfmt" {
+                // Skip, rustfmt only needs to find it in the pre-expansion source file.
+                continue;
+            } else if tool == "clippy" {
+                passthrough_attrs.push(attr);
+                continue;
+            }
         }
         cx.error(attr, "unsupported attribute");
         break;

